import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { IndexPageComponent } from './components/index.page.component';
import { RoomListPageComponent } from './components/room-list.page.component';

const routes: Routes = [
  {
    path: 'index',
    component: IndexPageComponent
  },
  {
    path: 'room-list',
    component: RoomListPageComponent,
    outlet: 'outlet-content'
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AppChatRoutingPageModule {}
